Redmine - Feature #3013

Several hooks needed for a plugin (context menu and page top)
2009-03-19 08:12 - Radu Serban

Status: Closed Start date: 2009-03-19
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Plugin API Estimated time: 0.00 hour
Target version: 0.8.3

Resolution: Fixed

Description

In order to allow a plugin to change the issues context menu | would need a hook in app/views/issues/context_menu.rhtml at the end.

Also | would like to show a status for the current user under the search box and project selector, so | think another hook in
quick-search div after the project selector partial would help.

Thanks!

Associated revisions

Revision 2610 - 2009-03-21 01:01 - Eric Davis

Added plugin hooks to the context menu

e :view_issues_context_menu_start
e :view_issues_context_menu_end

#3013

History

#1 - 2009-03-21 00:58 - Eric Davis

- Status changed from New to Resolved
- Target version set to 0.8.3

- % Done changed from 0 to 100

- Resolution set to Fixed

I've added two hooks in r2610, :view_issues_context_menu_start and :view_issues_context_menu_end. For the quick-search div, could you use
CSS to position the elements up there? I'm not sure if a hook there would be worth the maintenance.

#2 - 2009-04-05 14:11 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Committed in 0.8-stable in r2654.
